﻿using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.ComponentModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using Xamarin.Forms;

namespace ComboBoxSample
{
    // Learn more about making custom code visible in the Xamarin.Forms previewer
    // by visiting https://aka.ms/xamarinforms-previewer
    [DesignTimeVisible(false)]
    public partial class MainPage : ContentPage
    {
        public MainPage()
        {
            InitializeComponent();
        }
        private void ComboBox_SelectionChanged(object sender, Syncfusion.XForms.ComboBox.SelectionChangedEventArgs e)
        {
            if (comboBox.SelectedItem is DropDownItem)
            {
                comboBoxLabel.Text = (comboBox.SelectedItem as DropDownItem).PersonCollection.Name;
            }
            else
            {
                comboBoxLabel.Text = "";
            }
        }
    }

    public class Person
    {
        private string age;
        public string Age
        {
            get { return age; }
            set { age = value; }
        }
        private string name;
        public string Name
        {
            get { return name; }
            set { name = value; }
        }
    }

    public class DropDownItem
    {
        private Person personCollection;
        public Person PersonCollection
        {
            get { return personCollection; }
            set { personCollection = value; }
        }
    }

    public class EmployeeViewModel
    {
        private ObservableCollection<DropDownItem> dropDownItemCollection;
        public ObservableCollection<DropDownItem> DropDownItemCollection
        {
            get { return dropDownItemCollection; }
            set { dropDownItemCollection = value; }
        }
        public EmployeeViewModel()
        {
            dropDownItemCollection = new ObservableCollection<DropDownItem>();
            dropDownItemCollection.Add(new DropDownItem() { PersonCollection = new Person() { Age = "12", Name = "Jack" } });
            dropDownItemCollection.Add(new DropDownItem() { PersonCollection = new Person() { Age = "15", Name = "James" } });
            dropDownItemCollection.Add(new DropDownItem() { PersonCollection = new Person() { Age = "16", Name = "JackSpec" } });
        }
    }
}
